/**
 * Temporarily unwrap `console.log` and friends in order to perform the given callback using the original methods.
 * Restores wrapping after the callback completes.
 *
 * @param callback The function to run against the original `console` messages
 * @returns The results of the callback
 */
export declare function consoleSandbox(callback: () => any): any;
/** JSDoc */
declare class Logger {
    /** JSDoc */
    private _enabled;
    /** JSDoc */
    constructor();
    /** JSDoc */
    disable(): void;
    /** JSDoc */
    enable(): void;
    /** JSDoc */
    log(...args: any[]): void;
    /** JSDoc */
    warn(...args: any[]): void;
    /** JSDoc */
    error(...args: any[]): void;
}
declare const logger: Logger;
export { logger };
//# sourceMappingURL=logger.d.ts.map